Bug 243638 - Update neon to 0.27 (or latest)
Update neon to 0.27 (or latest)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: neon (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On: 253833
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 00:20 EDT by Eric Work
Modified: 2007-11-30 17:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 05:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 80967 None None None Never

  None (edit)
Description Eric Work 2007-06-11 00:20:00 EDT
Description of problem:

Upgrade the neon package to the latest upstream version.  The current version is
quite old and a few vulnerabilities have been fixed since the version currently
packaged was released.  Also davfs2 (a WebDAV client) recommends the latest
version of neon.  If possible could the latest version be packaged.
Comment 1 Gianluca Varisco 2007-06-22 01:01:55 EDT
Eric, I'm sure it would be done immediately, but Subversion 1.4.4 (released the
8th of June, but probably also the available release in F7, 1.4.3) requires neon
0.25.x. (or, at least, seems so from the ./configure output).
Comment 2 Joe Orton 2007-07-26 10:51:17 EDT
0.27 is nearly ready upstream so I'm just going to hold off for that; the 0.27
API is hopefully going to be the stable 1.x API so no more ABI breaks.
Comment 3 Joe Orton 2007-08-22 09:19:12 EDT
The current list of packages which link against neon in Raw Hide is as follows:

bazaar, cadaver, openoffice.org, rapidsvn, subcommander, subversion, tla, wdfs

CC'ing all maintainers for the above.  I'd like to update neon in Raw Hide to
the now-released 0.27 release this week.  I'll go through and check what breaks
(other than OO since I doubt I have the horsepower to rebuild that) first.  If
there are any objections to updating neon please let me know.

There are only minor API breaks in 0.27 since 0.26 which shouldn't affect many
users.   There are some more significant changes between 0.25 and 0.26.

rapidsvn and subcommander probably only pick up the libneon dep because of the
.la file leak, which I just fixed in Raw Hide.  If the maintainers for each
could rebuild those it should disappear.  There will be a library compat package
to ease the transition.
Comment 4 Joe Orton 2007-08-22 11:44:53 EDT
Rebuild status:

bazaar - builds with minor patch, package is orphaned & should be retired
cadaver - builds as of 0.23.0 release, pending
openoffice - neon support currently disabled
rapidsvn - builds fine
subcommander - builds fine
subversion - builds with minor spec file change
tla - builds fine
wdfs - builds fine

I will go ahead with the neon update tomorrow unless anybody shouts.
Comment 5 Joe Orton 2007-08-23 05:22:22 EDT
neon 0.27 is now in dist-f8.  I will fire off rebuilds of any of the above
packages (except OO) where access control permits.
Comment 6 Caolan McNamara 2007-08-23 06:01:25 EDT
OOo claimed to require ne_set_status but turned out that the callback was empty
so could be dropped rather than reworked for ne_set_notifier, so easy to reenable.
Comment 7 Joe Orton 2007-08-23 11:25:06 EDT
Thanks Caolan.  Current rebuild status:

bazaar - builds with minor patch, package is orphaned & should be retired
subcommander - pending rebuild from maintainer
openoffice - rebuild in progress

cadaver - done
rapidsvn - done
subversion - done
tla - done
wdfs - done
Comment 8 Jochen Schmitt 2007-09-02 15:08:39 EDT
Subcommander should be built on koji now.


Note You need to log in before you can comment on or make changes to this bug.